block(1)

NAME
block - temporarily block delivery of events

  Synopsis
block [OPTIONS...]

  Description

•   -l or --local Release the block at the end of the currently innermost block scope

•   -g or --global Never automatically release the lock

•   -e or --erase Release global block

  Example

block -g
#Do something that should not be interrupted
block -e